
Katello - Bug #5017

Support repo set commands using Product and repo name

04/01/2014 11:56 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Adam Price   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The previous katello cli made it pretty easy to enable repos by product and repo name.  Now you have to specify ID which is not

nearly as scriptable.

I want something like:

fr

hammer repository-set list --product="Red Hat Enterprise Linux" --organization-id=ACME_Corporation

hammer repository-set enable --product="Red Hat Enterprise Linux" --organization-id=ACME_Corporation  --repo-set='Red Hat

Enterprise Linux 6 Server (RPMs)'

right now you would have to script some grepping and awking to script it.  It is very unfriendly

also repository-set list right now returns a csv list which seems odd...

History

#1 - 06/04/2014 02:03 AM - Eric Helms

- Category set to Hammer

- Triaged changed from No to Yes

#2 - 06/04/2014 02:09 AM - Justin Sherrill

- Status changed from New to Closed

This is now resolved.

#3 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13
